#include<bits/stdc++.h>
using namespace std;
int main()
{
    int a,b;
    cin >>a>>b;
    if (a==1 && b==1) cout << 1;
    else if(a==1) cout <<b;
    else if(b==1) cout<< a;
    else
    {
        int s, x;
        x=(a*b-2*a-2*b+4)/2;
        s=2*a+2*b-4+x;
        cout<<s;
    }
}